Ameba::Formatter::GitHubActionsFormatter - ameba 1.7.0

# class Ameba::Formatter::GitHubActionsFormatter

- Ameba::Formatter::GitHubActionsFormatter
- Ameba::Formatter::BaseFormatter
- Reference
- Object

##
Overview

A formatter that outputs issues in a GitHub Actions compatible format.

See GitHub Actions documentation for details.

##
Included Modules

- Ameba::Formatter::Util

##
Defined in:

ameba/formatter/github_actions_formatter.cr

##
Instance Method Summary

- #finished(sources) : Nil

  Reports a message when inspection is finished.

- #source_finished(source : Source) : Nil

  Reports a result of the inspection of a corresponding source.

- #started(sources) : Nil

  Reports a message when inspection is started.

### Instance methods inherited from module `Ameba::Formatter::Util`

affected_code(issue : Issue, context_lines = 0, max_length = 120, ellipsis = " ...", prompt = "> ")
affected_code(code, location, end_location = nil, context_lines = 0, max_length = 120, ellipsis = " ...", prompt = "> ") affected_code, colorize_code_fences(string : String, color : Colorize::Color = :dark_gray) colorize_code_fences, colorize_markdown(string : String, code_color : Colorize::Color = :dark_gray) colorize_markdown, colorize_text_styles(string : String) colorize_text_styles, context(lines, lineno, context_lines = 3, remove_empty = true) context, deansify(message : String | Nil) : String | Nil deansify, pluralize(count : Int, singular : String, plural = "#{singular}s") pluralize, to_human(span : Time::Span) to_human, trim(str, max_length = 120, ellipsis = " ...") trim

### Instance methods inherited from class `Ameba::Formatter::BaseFormatter`

config : Hash(Symbol, Bool | String) config, finished(sources) : Nil finished, output : IO::FileDescriptor | IO::Memory output, source_finished(source : Source) : Nil source_finished, source_started(source : Source) : Nil source_started, started(sources) : Nil started

### Constructor methods inherited from class `Ameba::Formatter::BaseFormatter`

new(output : IO = STDOUT) new

##
Instance Method Detail

def finished(sources) : Nil #

Reports a message when inspection is finished.

def source_finished(source : Source) : Nil #

Reports a result of the inspection of a corresponding source.

def started(sources) : Nil #

Reports a message when inspection is started.